Name:           python-jaraco-context
Version:        4.3.0
Release:        %autorelease
Summary:        Context managers by jaraco
License:        MIT
URL:            https://github.com/jaraco/jaraco.context
Source:         %{pypi_source jaraco.context}

BuildArch:      noarch
BuildRequires:  python3-devel
# Pytest is all we need from the long list of
# testing dependencies upstream.
BuildRequires:  python3-pytest

%global _description %{expand:
Context managers by jaraco.}

%description %_description

%package -n     python3-jaraco-context
Summary:        %{summary}

%description -n python3-jaraco-context %_description


%prep
%autosetup -p1 -n jaraco.context-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jaraco


%check
%pytest


%files -n python3-jaraco-context -f %{pyproject_files}
%doc README.rst


%changelog
%autochangelog
